'''
Вариант 13
В одномерном массиве, состоящем из п вещественных элементов, вычислить: 
1. Количество элементов массива, лежащих в диапазоне от А до В.
2. Сумму элементов, расположенных после максимального элемента. Упорядочить элементы массива по убыванию модулей.
'''
n = int(input('введите количество элементов массива '))
l = [i for i in range(1,n+1)]
maxl = len(l)

print('введите нижнюю границу диапазона от 0 до ', maxl, 'включительно')
A = int(input())
print('введите верхнюю границу диапазона от ', A, 'до ', maxl, 'включительно')

B = int(input())
sumcount = B-A
print('Общий вид созданного массива - ', l)
print('В границах указанного диапазона',A, ' и ',  B , 'составляет ', sumcount, 'элементов ')
print('Диапазон элементов: ',l[A:B] )

maxel = l[n-1]
print('максимальный элемент ', maxel)
newl = l[:-1]
sumnewel = sum(newl)
print('сумма элементов массива без максимального ', sumnewel)
l.sort(reverse=True)
print('массив в обратном порядке ',l)



